Package org.eclipse.graphiti.ui.internal.util

# Class DataTypeTransformation

java.lang.Object
org.eclipse.graphiti.ui.internal.util.DataTypeTransformation

public class DataTypeTransformation extends Object

## Constructor Summary

Constructors
Constructor
Description
`DataTypeTransformation()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`syncToDraw2dPoint(Point pictogramsPoint, org.eclipse.draw2d.geometry.Point draw2dPoint)`
`static org.eclipse.swt.graphics.Font`
`syncToSwtFont(Font pictogramFont, org.eclipse.swt.graphics.Font swtFont)`
Checks if the given SWT `Font` defines the same font as the given Graphiti `Font`.
`static org.eclipse.draw2d.Bendpoint`
`toDraw2dBendPoint(Point pictogramsPoint)`
`static int`
`toDraw2dLineStyle(LineStyle lineStyle)`
`static org.eclipse.draw2d.geometry.Point`
`toDraw2dPoint(Point pictogramsPoint)`
`static org.eclipse.draw2d.geometry.PointList`
`toDraw2dPointList(Collection<Point> points)`
`static org.eclipse.swt.graphics.FontData`
`toFontData(Font pictogramFont)`
`static Color`
`toPictogramsColor(org.eclipse.swt.graphics.Color swtColor, Diagram diagram)`
`static Font`
`toPictogramsFont(Diagram diagram, org.eclipse.swt.graphics.Font swtFont)`
`static Font`
`toPictogramsFont(Diagram diagram, org.eclipse.swt.graphics.FontData fontData)`
`static org.eclipse.swt.graphics.Color`
`toSwtColor(IResourceRegistry rr, Color pictogramsColor)`
`static org.eclipse.swt.graphics.Color`
`toSwtColor(IResourceRegistry rr, IColorConstant color)`
`static org.eclipse.swt.graphics.Font`
`toSwtFont(Font pictogramFont)`
Returns a new SWT `Font` for the given Graphiti `Font`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DataTypeTransformation

public DataTypeTransformation()

## Method Details

### toDraw2dPoint

public static org.eclipse.draw2d.geometry.Point toDraw2dPoint(Point pictogramsPoint)

### toDraw2dBendPoint

public static org.eclipse.draw2d.Bendpoint toDraw2dBendPoint(Point pictogramsPoint)

### syncToDraw2dPoint

public static void syncToDraw2dPoint(Point pictogramsPoint, org.eclipse.draw2d.geometry.Point draw2dPoint)

### toSwtColor

public static org.eclipse.swt.graphics.Color toSwtColor(IResourceRegistry rr, Color pictogramsColor)

### toSwtColor

public static org.eclipse.swt.graphics.Color toSwtColor(IResourceRegistry rr, IColorConstant color)

### toPictogramsColor

public static Color toPictogramsColor(org.eclipse.swt.graphics.Color swtColor, Diagram diagram)

### toDraw2dPointList

public static org.eclipse.draw2d.geometry.PointList toDraw2dPointList(Collection<Point> points)

### syncToSwtFont

public static org.eclipse.swt.graphics.Font syncToSwtFont(Font pictogramFont, org.eclipse.swt.graphics.Font swtFont)
Checks if the given SWT `Font` defines the same font as the given Graphiti `Font`. If yes, the given SWT Font is simply returned, otherwise a new SWT Font is created using `toSwtFont(Font)`. In case the returned SWT Font is not - instance-wise - the same as the given one, users of this method are responsible for disposing the returned font again.

Parameters:
  `pictogramFont` -
  `swtFont` -
Returns:

### toPictogramsFont

public static Font toPictogramsFont(Diagram diagram, org.eclipse.swt.graphics.Font swtFont)

Parameters:
  `swtFont` -
Returns:

### toPictogramsFont

public static Font toPictogramsFont(Diagram diagram, org.eclipse.swt.graphics.FontData fontData)

Parameters:
  `fontData` -
Returns:

### toSwtFont

public static org.eclipse.swt.graphics.Font toSwtFont(Font pictogramFont)
Returns a new SWT `Font` for the given Graphiti `Font`. Users of this method are responsible for disposing the font again!

Parameters:
  `pictogramFont` -
Returns:

### toFontData

public static org.eclipse.swt.graphics.FontData toFontData(Font pictogramFont)

Parameters:
  `pictogramFont` -
Returns:

### toDraw2dLineStyle

public static int toDraw2dLineStyle(LineStyle lineStyle)